Bug 1028927 - guest agent commands will hang if the guest agent crashes while executing a command
guest agent commands will hang if the guest agent crashes while executing a c...
Status: CLOSED DUPLICATE of bug 890648
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.0
x86_64 Linux
urgent Severity high
: rc
: ---
Assigned To: Michal Privoznik
Virtualization Bugs
:
Depends On: 890648 1080376
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 04:14 EST by zhenfeng wang
Modified: 2014-05-29 09:55 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 890648
Environment:
Last Closed: 2014-05-29 09:55:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 zhenfeng wang 2013-11-11 05:02:41 EST
The virsh command will hang there while we do S3 with guest as the following order
dompmsuspend=>dompmwakeup=>save=>restore=>dompmsuspend(the virsh command will hang here)

pkg info
kernel-3.10.0-47.el7.x86_64
qemu-kvm-rhev-1.5.3-14.el7.x86_64
libvirt-1.1.1-12.el7.x86_6

steps
1.# getenforce
Enforcing

2.Prepare a guest with qemu-ga ENV
# virsh list --all
 Id    Name                           State
----------------------------------------------------
 7     rhel7                       running

3.Start the qemu-ga service in guest
# systemctl start qemu-guest-agent.service

4.Do s3 with the guest,then wakeup it,however,the guest can't back to the previous status before pmsuspend
#virsh dompmsuspend rhel7 --target mem

#virsh dompmwakeup rhel7

5.Save and restore the guest
# virsh save rhel7 /tmp/rhel7.save

#virsh restore /tmp/rhel7.save

6.Do s3 with the guest again, the virsh command will hang here
#virsh dompmsuspend rhel7 --target mem
^C
# virsh save rhel7 /tmp/rhel7.save 
error: Failed to save domain rhel7 to /tmp/rhel7.save
error: Timed out during operation: cannot acquire state change lock
Comment 2 hyao@redhat.com 2013-12-31 02:06:07 EST
Reproduced the bug  on the following packages according to the steps in comment1:
# rpm -qa libvirt qemu-kvm-rhev
libvirt-1.1.1-16.el7.x86_64
qemu-kvm-rhev-1.5.3-30.el7.x86_64

Note You need to log in before you can comment on or make changes to this bug.